Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006742TestLinkTest Plan Managementpublic2014-11-12 03:282014-12-31 14:22
Reporterimraneo 
Assigned Tofman 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformXAMPPOSWindowsOS Version7
Product Version1.9.12 (2014 Q3) 
Fixed in Version1.9.13 (2015 #1) 
Summary0006742: Creating/editing test plan throws you to a fatal error page
DescriptionUpon creating/editing a testplan, it throws me to a page with the following error:

Fatal error: Call to a member function hasRight() on a non-object in E:\xampp\htdocs\testlink2\lib\plan\planEdit.php on line 281

Steps To ReproduceAs description
Additional InformationAll users are Admin. My database was migrated from v1.9.4 to v1.9.12 using multiple SQL scripts according to documentation.

I have a total of 48 users and somehow the new users (from ID 30 onwards) do NOT see this problem. The older users (prior to ID 30) see this problem.
Newly created users in v1.9.12 are alright as well.

Despite this error, the adding/editing testplan does go through.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserAny
PHP Version5.16.1
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0022117)
fman (administrator)
2014-11-12 11:16

1. searching for similar issues is a MUST BEFORE REPORTING
2. applying available fixes also

have you searched for similar issues before reporting ?
get latest code from gitorious (branch 1.9), do fresh install on sandbox , retest and provide feedback
(0022127)
imraneo (reporter)
2014-11-13 05:46

1. The closest issue I found was 6620 but created a new ticket as the error/observations were somewhat different.

2. Applied the fix shown in 6620 but didn't work.

Updated my planView.php and planEdit.php from the gitorious branch 1.9 and problem was solved.
Thanks for the advice. You may close this ticket.

- Issue History
Date Modified Username Field Change
2014-11-12 03:28 imraneo New Issue
2014-11-12 11:16 fman Note Added: 0022117
2014-11-12 11:16 fman Assigned To => fman
2014-11-12 11:16 fman Status new => feedback
2014-11-13 05:46 imraneo Note Added: 0022127
2014-11-13 05:46 imraneo Status feedback => assigned
2014-11-13 09:58 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-11-13 09:58 fman Fixed in Version => 1.9.13 (2015 #1)
2014-11-13 09:58 fman Status assigned => resolved
2014-11-13 09:58 fman Resolution open => fixed
2014-12-31 14:22 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker